# Fichiers Ansible pour déployer rapidement mon infra.

Scripts Ansible en vrac pour pouvoir automatiser le déploiement de mon infra.
Ils ne sont pas beau et je prévois de repasser dessus pour avoir une jolie
structure de dossier et playbook. Tous les services sont destinés à être
installé sur une même machine (pour l'instant).

Ils ont été écris afin d'être lancé sur Debian 10.

`ansible-playbook main.yml -i inventaire.ini` pour lancer l'installation.

## inventaire.ini

Mettez ou l'ip ou le nom de la configuration SSH de votre machine distante.
Ici, il s'agit du nom de la configuration SSH pour cacher l'IP de la machine
de test.

## vars

* sites : Contient les différents noms de domains à utiliser.
* cgit : variables pour cgit

## cgit

Ces fichiers se trouvent dans `roles/cgit/` dans les dossiers `tasks`
et `templates`.

- cgit.yml : script ansible d'installation
- config-cgit.conf : template de configuration pour la compilation de cgit. Ici,
                     tout est installé dans le même dossier (/home/git).
- cgit-nginx : template pour la configuration nginx de cgit
- cgitrc : la configuration de cgit

### Clé SSH

Pour pouvoir créer l'administrateur du git, il faut mettre sa clé SSH dans le
dossier `files` et changer la variable qui contient son nom (`admin_key`).
